/******************************************************************************************************************************************

		------------------------------------------------------------------------------------------------
			d_pvars.inc - МАКРОСЫ ДЛЯ БОЛЕЕ УДОБНГО ИСПОЛЬЗОВАНИЯ СЕРВЕРНЫХ PVar ИГРОКОВ.
		------------------------------------------------------------------------------------------------

			-----------------------------------------------------------
				ДЛЯ РАБОТЫ НЕОБХОДИМ СЕРВЕР SA-MP V0.3.7 И ВЫШЕ 
			-----------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------------		

	ТЕКУЩАЯ ВЕРСИЯ СБОРНИКА:
		V2.2 BUILD 1000 ОТ 10.10.2016

------------------------------------------------------------------------------------------------------------------------------	

	ТЕКУЩАЯ ВЕРСИЯ БИБЛИОТЕКИ:
		V1.1 BUILD 1000 ОТ 02.04.2015

------------------------------------------------------------------------------------------------------------------------------

	ИСТОРИЯ СОБЫТИЙ:
		10.10.2016 - ОБНОВЛЕНИЕ СБОРНИКА БИБЛИОТЕК
		02.04.2015 - ОБНОВЛЕНИЕ СБОРНИКА БИБЛИОТЕК
		04.03.2015 - ВЫХОД ПЕРВОЙ ВЕРСИИ ДАННОГО СБОРНИКА БИБЛИОТЕК
		
------------------------------------------------------------------------------------------------------------------------------

	ИСПОЛЬЗОВАНИЕ:
		Integer:
			Установить значение: si:pvarname[playerid] = 1234;
			Узнать значение: gi:pvarname[playerid];(Результат:1234)
			Изменить значение: agi:pvarname[playerid] += значение;
		Float:
			Установить значение: psf:varname[playerid] = 1234.5678;
			Узнать значение: gf:pvarname[playerid]; (Результат:1234.5678)
			Изменить значение: agf:pvarname[playerid] += значение;
		String:
			Установить значение: ss:pvarname[playerid] = "Some Text";
			Узнать значение: gs:pvarname[playerid] (Результат:Some Text)
		Удалить PVar: delpvar:pvarname[playerid];
		d_pvars.inc:
				Узнать тип PVar gtv:varname[playerid] (Результат аналогичен http://wiki.sa-mp.com/wiki/GetPVarType)

------------------------------------------------------------------------------------------------------------------------------

	АВТОРСКИЕ ПРАВА К СБОРТНИКУ БИБЛИОТЕК:
		ВСЕ ПРАВА НА ЭТОТ СБОРНИК ПРИНАДЛЕЖАТ Dima-kun a.k.a Morino_Reigan
	
	ОТДЕЛЬНАЯ БЛАГОДАРНОСТЬ:
		ПОРТАЛУ РУССКОГО КОМЬЮНИТИ SA-MP SAMP-RUS.COM ЗА РАСПРОСТРАНЕНИЕ ДАННОГО СБОРНИКА БИБЛИОТЕК
		SA-MP TEAM ЗА San Andreas-MultiPlayer
		Rockstar North Games ЗА Grand Theft Auto San Andreas

	РАСПРОСТРАНЕНИЕ ДАННОГО СБОРНИКА БИБЛИОТЕК ВОЗМОЖНА ТОЛЬКО С СОХРАНЕНИЕМ ИМЕНИ АВТОРА И УКАЗАНИЕМ ИСТОЧНИКА: http://samp-rus.com
	
*******************************************************************************************************************************************/

#if defined d_includes_pvars
	#endinput
#endif
#define  d_includes_pvars 1

/*

	Функция:
		gi:varname[playerid] - возвращает значение цельночисловой переменной varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
	Функция возвращает знрачение переменной в виде целого числа

*/

#define gi:%1[%2] GetPVarInt( %2,""#%1"")

/*

	Функция:
		si:varname[playerid] = value - устанавливает значение цельночисловой переменной
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
		value - изменяемое значение
	Функция не возвращает специальных значений.

*/

#define si:%1[%2]=%3; SetPVarInt( %2,""#%1"",%3);

/*

	Функция:
		asi:varname[playerid] += value - изменяет значение цельночисловой переменной varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
		value - изменяемое значение
	Функция не возвращает специальных значений.

*/

#define asi:%1[%2]+=%3; SetPVarInt(%2,""#%1"", GetPVarInt(%2,""#%1"")+%3);

/*

	Функция:
		gf:varname[playerid] - возвращает значение переменной с плавающей запятой varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
	Функция возвращает знрачение переменной в виде числа с плавающей запятой

*/

#define gf:%1[%2] GetPVarFloat( %2, ""#%1"" )

/*

	Функция:
		sf:varname[playerid] = value - устанавливает значение переменной с плавающей запятой строки
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
		value - изменяемое значение
	Функция не возвращает специальных значений.

*/

#define sf:%1[%2]=%3; SetPVarFloat( %2, ""#%1"", %3 );

/*

	Функция:
		asf:varname[playerid] += value; - изменяет значение переменной с плавающей запятой varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
		value - изменяемое значение
	Функция не возвращает специальных значений.

*/

#define asf:%1[%2]+=%3; SetPVarFloat(%2,""#%1"", GetPVarFloat(%2,""#%1"")+%3);

/*

	Функция:
		gs:varname[playerid] - возвращает значение строчную переменную varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
	Функция возвращает знрачение переменной в виде строки

*/

#define gs:%1[%2] getstring( %2, ""#%1"" )

/*

	Функция:
		ss:varname[playerid] = value; - устанавливает значениепеременной в виде строки
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
		value - изменяемое значение
	Функция не возвращает специальных значений.

*/

#define ss:%1[%2]=%3; SetPVarString( %2, ""#%1"", %3 );

/*

	Функция:
		delpvar:varname[playerid] - удаляет переменную varname
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
	Функция не возвращает специальных значений.

*/

#define delpvar:%1[%2] DeletePVar( %2, ""#%1"" )

/*

	Функция:
		gtv:varname[playerid] - узнает тип PVar
	Параметры:
		varname - название переменной
		playerid - ID игрока, чья переменная
	Функция возвращает тип переменной http://wiki.sa-mp.com/wiki/GetPVarType

*/

#define gtv:%1[%2] GetPVarType(%2, ""#%1"")

stock getstring( playerid, gsstring[] )
{
	new 
		string[ 128 ];

	GetPVarString( playerid, gsstring, string, 128 );
	return string;
}

//===============================================================
//
// 						Конец файла
//
//===============================================================